org.gnome.glib

## Class Boxed

- Object
- - org.freedesktop.bindings.Pointer
  - - org.gnome.glib.Boxed

- Direct Known Subclasses:
    AccelKey, Allocation, Analysis, Attribute, AttributeList, AttrIterator, Border, Color, Cursor, DimensionData, Event, FileInfo, FilePath, FontDescription, FontMetrics, Geometry, GlyphGeometry, GlyphInfo, GlyphString, IconInfo, IconSet, IconSource, Item, KeymapKey, Language, LayoutIter, LayoutLine, Matrix, PaperSize, Point, RecentInfo, Rectangle, Rectangle, Rectangle, Requisition, RGBA, SelectionData, TabArray, TextAppearance, TextAttributes, TextIter, TextRange, TextRectangle, TreeIter, TreePath, TreeRowReference, WindowAttr

      public abstract class Boxed
      extends org.freedesktop.bindings.Pointer

  Parent class of proxied structures. Java side, these behave like normal `Object`s, but they are not as rich - they may be missing getters or setters (or both!), for example.

  In general, Boxed are short lived. They are commonly used to convey parameters or represent state such as in an Iterator. As such, good programming practise is to not hold on to these long term. Use them and let them go out of scope so they can be reclaimed.

  In the underlying GLib library, a `GBoxed` is an opaque wrapper around a C structure allowing it to be used within GLib's Type system. `GBoxed` generally have custom `copy()` and `free()` functions. Unlike `GObjects` they are not memory managed via the reference counting mechanism, and so the owner of a `GBoxed` is responsible to free it. The trick is to figure out whether we are owner of the `GBoxed` or not...

  Since:
    4.0.0
  Author:
    Andrew Cowie, Vreixo Formoso

- - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.Pointer

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`